<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <main>
        <div>
            <h1>{{ todo_list.name }}</h1>
            <p>
                <a href="{% url 'todo_list_update' todo_list.id %}">Edit</a>
            </p>
            <p>
                <a href="{% url 'todo_list_delete' todo_list.id %}">Delete</a>
            </p>
            <h2> Tasks </h2>
            <table>
                <thead>
                    <tr>
                        <th>  Task  </th>
                        <th>  Due date  </th>
                    </tr>
                </thead>
                <tbody>
                    {% for item in todo_list.items.all %}
                    <tr>
                        <td><a href="{% url 'todo_item_update' item.id %}">{{ item.task }}</a></td>
                        <td>{{ item.due_date }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
        </div>
    </main>
</body>
</html>
